Package ghidra.trace.model.target

# Enum Class TraceObject.ConflictResolution

java.lang.Object
java.lang.Enum<TraceObject.ConflictResolution>
ghidra.trace.model.target.TraceObject.ConflictResolution

All Implemented Interfaces:
  `Serializable`, `Comparable<TraceObject.ConflictResolution>`, `Constable`

Enclosing interface:
  `TraceObject`

public static enum TraceObject.ConflictResolution extends Enum<TraceObject.ConflictResolution>
Specifies a strategy for resolving duplicate keys

Values are not permitted to have intersecting lifespans if they have the same parent and key, since this would imply the value is not unique for a given parent, key, and snap. Thus, when values and lifespans are being set that would result in conflicting entries, the conflict must be resolved, either by clearing the span or by denying the change.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADJUST`
  Adjust the new entry to fit into the span available, possibly ignoring it altogether
  `DENY`
  Throw `DuplicateKeyException` if the specified lifespan would result in conflicting entries
  `TRUNCATE`
  Truncate, split, or delete conflicting entries to make way for the specified lifespan

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TraceObject.ConflictResolution`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TraceObject.ConflictResolution[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRUNCATE

    public static final TraceObject.ConflictResolution TRUNCATE
    Truncate, split, or delete conflicting entries to make way for the specified lifespan

  - ### DENY

    public static final TraceObject.ConflictResolution DENY
    Throw `DuplicateKeyException` if the specified lifespan would result in conflicting entries

  - ### ADJUST

    public static final TraceObject.ConflictResolution ADJUST
    Adjust the new entry to fit into the span available, possibly ignoring it altogether

- ## Method Details

  - ### values

    public static TraceObject.ConflictResolution[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TraceObject.ConflictResolution valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null